Author Topic: [solved] package: lxqt-admin | PGP signature could not be verified  (Read 628 times)

0 Members and 1 Guest are viewing this topic.

Offline zacariaz

  • Neuling
  • *
  • Posts: 9
  • I'm new. Be nice!
  • Skill: Novice
I know this is a simple problem, but I'm not quite sure how to correctly go about it and in any case I do believe that it should not happen.

Code: [Select]
==> Verifying source file signatures with gpg...
    lxqt-admin-0.10.0.tar.xz ... FAILED (unknown public key 37E0AF1FDA48F373)
==> ERROR: One or more PGP signatures could not be verified!
==> ERROR: Makepkg was unable to build lxqt-admin.


Best regards.

edit:
The package is apparently not pulled from the AUR, though I don't know exactly how it's handled.
Package maintainer is Ramon Buldó, apparently part of the Manjaro team.
« Last Edit: 09. May 2016, 15:16:51 by zacariaz »

Offline curiouseag

  • Sr. Mitglied
  • ****
  • Posts: 267
  • I'm new. Be nice!
  • Branch: stable
  • Desktop: undicieded
  • GPU Card: Intel Core i3-5010U
  • GPU driver: Intel
  • Kernel: grsec self build
  • Skill: Advanced
Re: package: lxqt-admin | PGP signature could not be verified
« Reply #1 on: 09. May 2016, 01:04:35 »
aur package
not part of manjaro repo

Offline zacariaz

  • Neuling
  • *
  • Posts: 9
  • I'm new. Be nice!
  • Skill: Novice
Re: package: lxqt-admin | PGP signature could not be verified
« Reply #2 on: 09. May 2016, 01:09:25 »
aur package
not part of manjaro repo

True, but it is part of the Manjaro-lxqt release, thus it seems relevant.

Offline c00ter

  • Held Mitglied
  • *****
  • Posts: 1534
  • Towelie's cupcake
  • Branch: ☮Olive☮
  • Desktop: Depends©
  • GPU Card: Intel HD4400M CPU: Core i7-4510U
  • GPU driver: Intel/Free
  • Kernel: 4.4-lts & 4.5
  • Skill: Novice
Re: package: lxqt-admin | PGP signature could not be verified
« Reply #3 on: 09. May 2016, 04:31:31 »
Read the package comments for it--they have the information you need to complete the install.

Regards
“What, me worry?” ― Alfred E. Newman

Manjaro Wiki: https://wiki.manjaro.org/
Arch Wiki: https://wiki.archlinux.org/
Pacman Rosetta: https://wiki.archlinux.org/index.php/Pacman/Rosetta

Offline Kirek

  • Core Team
  • *****
  • Posts: 1209
  • Branch: unstable
  • Desktop: Plasma 5
  • GPU Card: Intel HD4000 + Nvidia 620M / Geforxe GTX 970
  • GPU driver: nonfree
  • Kernel: Latest
  • Skill: Intermediate
Re: package: lxqt-admin | PGP signature could not be verified
« Reply #4 on: 09. May 2016, 04:57:09 »
We removed lxqt-admin from our repos, so it fallbacks to the aur one. Either remove lxqt-admin, add the gpg key to your keyring (gpg --recv-keys 37E0AF1FDA48F373) or modify the PKGBUILD so it doesn't check for signature.

Offline zacariaz

  • Neuling
  • *
  • Posts: 9
  • I'm new. Be nice!
  • Skill: Novice
Re: package: lxqt-admin | PGP signature could not be verified
« Reply #5 on: 09. May 2016, 06:07:20 »
Read the package comments for it--they have the information you need to complete the install.

Regards

That's all well an good, but where would I find those comments? Are you talking about the AUR? That's not the installed package, thus the signature, I'd presume, would be different.

We removed lxqt-admin from our repos, so it fallbacks to the aur one. Either remove lxqt-admin, add the gpg key to your keyring (gpg --recv-keys 37E0AF1FDA48F373) or modify the PKGBUILD so it doesn't check for signature.

So, as I understand it, I should either remove it, or install the AUR package?

But who on earth would you remove it? After all it's the lxqt distribution, and while I have nothing against the AUR, quite the opposite, Manjaro seem to handle things in certain ways and I'd rather not mess that up.

So in short, what would be the equivalent solution to simply reinstalling Manjaro-lxqt? (assuming the image has actually been update, or somehow fixed so that this issue won't occur.)
Or if you wish, what would be the "correct" solution?

I am sorry that I'm being difficult, but I started using Manjaro to avoid doing things "my own way", as I tend to forget what I've actually done, and then at some point things fall apart and I have to retrace my steps blindfolded to fix it.


Best regards.

Offline Kirek

  • Core Team
  • *****
  • Posts: 1209
  • Branch: unstable
  • Desktop: Plasma 5
  • GPU Card: Intel HD4000 + Nvidia 620M / Geforxe GTX 970
  • GPU driver: nonfree
  • Kernel: Latest
  • Skill: Intermediate
Re: package: lxqt-admin | PGP signature could not be verified
« Reply #6 on: 09. May 2016, 07:04:05 »
Just remove lxqt-admin, the two things that this packages does, you can do with manjaro settings manager.

Offline eugen-b

  • Support Team
  • ****
  • Posts: 3191
  • Branch: testing
  • Desktop: LXDE, Fluxbox, JWM, LXQt, bspwm
  • GPU Card: Intel 82945G/GZ
  • GPU driver: free
  • Kernel: 4.5, 4.6
  • Skill: Intermediate
Re: package: lxqt-admin | PGP signature could not be verified
« Reply #7 on: 09. May 2016, 09:32:39 »
Find out who owns the key and after some research import it:
Code: [Select]
$ gpg --search-keys 37E0AF1FDA48F373
gpg: searching for "37E0AF1FDA48F373" from hkp server keys.gnupg.net
(1)Jerome Leclanche <jerome@leclan.ch>
  4096 bit RSA key DA48F373, created: 2013-10-16, expires: 2017-01-01
Keys 1-1 of 1 for "37E0AF1FDA48F373".  Enter number(s), N)ext, or Q)uit > 1
gpg: requesting key DA48F373 from hkp server keys.gnupg.net
gpg: key DA48F373: "Jerome Leclanche <jerome@leclan.ch>" not changed
gpg: Total number processed: 1
gpg:              unchanged: 1
--search-keys gives you the option to quit.
MSI Wind Nettop, Intel Atom 230 1.6GHz (64bit), 2GB RAM
DEs: NET-minimal + (LXDE / Fluxbox / JWM); LXQt OpenRC
how to install on btrfs subvolumes
http://manjaro.github.io/donate/

Offline zacariaz

  • Neuling
  • *
  • Posts: 9
  • I'm new. Be nice!
  • Skill: Novice
Re: package: lxqt-admin | PGP signature could not be verified
« Reply #8 on: 09. May 2016, 15:15:15 »
Just remove lxqt-admin, the two things that this packages does, you can do with manjaro settings manager.

I'll take your word on that. Thanks.

Offline ElGato

  • Neuling
  • *
  • Posts: 40
  • Branch: stable
  • Desktop: XFCE
  • GPU Card: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller
  • GPU driver: free, no problems so far
  • Kernel: linux316 64bit
  • Skill: Intermediate
Hi, same problem here. Currently working in xfce but have lxqt installed to test it. Working on low-key hardware here.


If I want to install the package lxqt-admin, it tells me I also install 5 dependencies:


liboobs
perl-net-dbus
perl-text-conv
perl-xml-twig
system-tools-backends


Is it OK to remove those if it is suggested?


Thanks!


ElGato
Acer Aspire One 752 subnotebook (netbook?) with SSD and 2 GB RAM and of course Manjaro (XFCE) - runs great!